Bug 979112 - [abrt] shotwell-0.14.1-1.fc18: raise: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] shotwell-0.14.1-1.fc18: raise: Process /usr/bin/shotwell was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:4cd2114ae0c1cd31b198bc5b8b2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 11:56 EDT by rbz
Modified: 2014-02-05 16:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:59:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.75 KB, text/plain)
2013-06-27 11:56 EDT, rbz
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-27 11:56 EDT, rbz
no flags Details
File: core_backtrace (1.87 KB, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details
File: dso_list (13.99 KB, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details
File: environ (1.46 KB, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details
File: maps (69.00 KB, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details
File: open_fds (1.79 KB, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details
File: proc_pid_status (976 bytes, text/plain)
2013-06-27 11:57 EDT, rbz
no flags Details

  None (edit)
Description rbz 2013-06-27 11:56:47 EDT
Description of problem:
Huh, that's complicated. Or at least there is a lot of background that might be relevant ...
AFAICT:
Running shotwell with/over various versions of fedora.
Not doing very much with shotwell, basically just importing, tagging and viewing.
All photos stored in /space/images, my home directory has a sym link:
lrwxrwxrwx.  1 robb     robb          13 Jun  2  2011 Photos -> /space/images
After a Linux upgrade to f18 some problems with X11-server/X-apps/xfce desktop led me to eventually doing mv on various . (dot) config directories to be able to get the desktop running correctly (nothing to do with shotwell) e.g. .cache, .config, .gconf, etc.
I might have been OK at this point, but without thinking I then imported some photos using this "default" configuration.
( ... and perhaps later moved the original dot dirs back ... not sure - sorry )
Anyway, I ended up in a situation where I had missing thumbnails for some photos i.e. a lot of errors like:
L 7763 2013-06-27 14:53:48 [WRN] Photo.vala:4755: Unable to generate thumbnails for [21425] /home/robb/Photos/2013/05/09/DSC_5063.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5063_NEF_shotwell.jpg': No such file or directory

This seemed to just keep reoccuring and new thumbnails didn't seem to be getting generated. So after reading some shotwell bug reports I decided to clean up the thumb directories (rm -rf ; mkdir), upgrade from 13.1 to 14.1, restart shotwell and let it generate a complete/consistent set of thumbnails for itself.

This seemed to work OK at first. As I browsed in shotwell I could see errors for missing thumbnails and also new/replacement thumbnails being generated e.g.
inotifywait -m -r -e access,create,delete .cache/shotwell/thumbs
> ...
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb0000000000000aaf.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb0000000000000aaf.jpg
> .cache/shotwell/thumbs/thumbs360/ ACCESS thumb0000000000000aaf.jpg
> .cache/shotwell/thumbs/thumbs360/ ACCESS thumb0000000000000aaf.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb00000000000020b7.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb00000000000020b7.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb0000000000000393.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb0000000000000393.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb0000000000000cdc.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb0000000000000cdc.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb0000000000000e2a.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb0000000000000e2a.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb00000000000004f6.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb00000000000004f6.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb00000000000021e2.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb00000000000021e2.jpg
> .cache/shotwell/thumbs/thumbs360/ CREATE thumb000000000000111a.jpg
> .cache/shotwell/thumbs/thumbs128/ CREATE thumb000000000000111a.jpg
> .cache/shotwell/thumbs/thumbs360/ ACCESS thumb00000000000020b7.jpg
> .cache/shotwell/thumbs/thumbs360/ ACCESS thumb00000000000020b7.jpg
> ...

But when I got to a recent folder (9.5.2013) containing ~= 500 photos (more photos than usual for me) some different errors were logged e.g.
> ...
> L 9655 2013-06-27 16:18:26 [CRT] Thumbnail.vala:355: Unable to fetch high-quality thumbnail for DataView DSC_4916.NEF [DataSource [21278] /home/robb/Photos/2013/05/09/DSC_4916.NEF] (scale: 205): Failed to open file '/home/robb/Pictures/2013/05/09/DSC_4916_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:20:08 [CRT] PixbufCache.vala:262: Unable to readahead [21263] /home/robb/Photos/2013/05/09/DSC_4901.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_4901_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:20:08 [CRT] PixbufCache.vala:262: Unable to readahead [21264] /home/robb/Photos/2013/05/09/DSC_4902.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_4902_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:20:08 [CRT] PixbufCache.vala:262: Unable to readahead [21265] /home/robb/Photos/2013/05/09/DSC_4903.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_4903_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:20:09 [CRT] Thumbnail.vala:340: Unable to fetch low-quality thumbnail for DataView DSC_4902.NEF [DataSource [21264] /home/robb/Photos/2013/05/09/DSC_4902.NEF] (scale: 205): Failed to open file '/home/robb/Pictures/2013/05/09/DSC_4902_NEF_shotwell.jpg': No such file or directory
> ...

I notice now that the shotwell program seems to be confused about where the files are stored - look at the paths in the readahead errors (and also in the original v13.1 error above).
It appears that shotwell is finding a photo/image file under ".../home/Photos/...", but something is then causing to refer to a file via the path ".../home/Pictures/..."
The file under Photos does exist e.g.
> [rubicon 06.27 17:24:09]# stat /home/robb/Photos/2013/05/09/DSC_4901.NEF
>   File: ‘/home/robb/Photos/2013/05/09/DSC_4901.NEF’
>   Size: 13422198  	Blocks: 26216      IO Block: 4096   regular file
> Device: fd03h/64771d	Inode: 29100337    Links: 1
> Access: (0640/-rw-r-----)  Uid: (10000/    robb)   Gid: (11111/ watsons)
> Context: unconfined_u:object_r:default_t:s0
> Access: 2013-06-27 16:18:13.651229420 +0200
> Modify: 2013-05-09 08:15:34.000000000 +0200
> Change: 2013-05-10 18:17:20.662066381 +0200
>  Birth: -

There is no /home/robb/Pictures directory. AFAIK that is the default path used by shotwell. Presumably its occurring here is the result of my running an import without my custom image db path "Photos" being configured.

I don't even know why I would have a filename of the form "DSC_4901_NEF_shotwell.jpg" - does that mean that I used shotwell to modify an image? There seem to be many many references to these _shotwell files.

Anyway, shotwell logs then some further "misc" errors e.g.
> ...
> L 9655 2013-06-27 16:23:15 [WRN] BatchImport.vala:1777: Unable to read metadata for /home/robb/Photos/2013/05/09/DSC_5072_NEF_shotwell.jpg (unsupported format): continuing to attempt import
> L 9655 2013-06-27 16:23:15 [WRN] BatchImport.vala:1777: Unable to read metadata for /home/robb/Photos/2013/05/09/DSC_5073_NEF_shotwell.jpg (unsupported format): continuing to attempt import
> L 9655 2013-06-27 16:23:16 [WRN] Exif tag Exif.NikonPreview.JPEGInterchangeFormatLength not encoded
> L 9655 2013-06-27 16:23:16 [WRN] Exif IFD NikonPreview not encoded
> L 9655 2013-06-27 16:23:16 [WRN] Exif tag Exif.Photo.MakerNote not encoded
> L 9655 2013-06-27 16:23:16 [WRN] Exif tag Exif.NikonSi02xx.0x027a not encoded
> L 9655 2013-06-27 16:23:17 [WRN] Photo.vala:4961: Unable to generate thumbnails for [21438] /home/robb/Photos/2013/05/09/DSC_5076.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5076_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:23:17 [WRN] No namespace info available for XMP prefix `lr'
> L 9655 2013-06-27 16:23:17 [WRN] No namespace info available for XMP prefix `lr'
> L 9655 2013-06-27 16:23:17 [WRN] No namespace info available for XMP prefix `lr'
> ...
> L 9655 2013-06-27 16:23:19 [WRN] Photo.vala:4961: Unable to generate thumbnails for [21433] /home/robb/Photos/2013/05/09/DSC_5071.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5071_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:23:19 [WRN] Photo.vala:4961: Unable to generate thumbnails for [21435] /home/robb/Photos/2013/05/09/DSC_5073.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5073_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:23:20 [WRN] Photo.vala:4961: Unable to generate thumbnails for [21434] /home/robb/Photos/2013/05/09/DSC_5072.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5072_NEF_shotwell.jpg': No such file or directory
> L 9655 2013-06-27 16:23:21 [WRN] No namespace info available for XMP prefix `lr'

And finally crashes with this error:
> ...
> L 9655 2013-06-27 16:23:14 [CRT] Thumbnail.vala:355: Unable to fetch high-quality thumbnail for DataView DSC_5075.NEF [DataSource [21437] /home/robb/Photos/2013/05/09/DSC_5075.NEF] (scale: 205): Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5075_NEF_shotwell.jpg': No such file or directory
> **
> ERROR:/builddir/build/BUILD/shotwell-0.14.1/src/core/DataSource.vala:424:data_source_contact_subscribers: assertion failed: (!in_contact)
> [1]+  Aborted                 (core dumped) shotwell

Version-Release number of selected component:
shotwell-0.14.1-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        shotwell
crash_function: raise
executable:     /usr/bin/shotwell
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            10000

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 data_source_contact_subscribers
 #5 _library_photo_generate_thumbnails_one_shot_callback
 #6 _one_shot_scheduler_callback_wrapper_gsource_func
 #8 g_main_context_iterate.isra.24 at /lib64/libglib-2.0.so.0
 #9 g_main_context_iteration at /lib64/libglib-2.0.so.0
 #10 g_application_run at /lib64/libgio-2.0.so.0
 #11 application_start
 #12 library_exec
 #13 _vala_main
Comment 1 rbz 2013-06-27 11:56:54 EDT
Created attachment 766225 [details]
File: backtrace
Comment 2 rbz 2013-06-27 11:56:58 EDT
Created attachment 766226 [details]
File: cgroup
Comment 3 rbz 2013-06-27 11:57:02 EDT
Created attachment 766227 [details]
File: core_backtrace
Comment 4 rbz 2013-06-27 11:57:10 EDT
Created attachment 766228 [details]
File: dso_list
Comment 5 rbz 2013-06-27 11:57:14 EDT
Created attachment 766229 [details]
File: environ
Comment 6 rbz 2013-06-27 11:57:18 EDT
Created attachment 766230 [details]
File: limits
Comment 7 rbz 2013-06-27 11:57:37 EDT
Created attachment 766232 [details]
File: maps
Comment 8 rbz 2013-06-27 11:57:43 EDT
Created attachment 766234 [details]
File: open_fds
Comment 9 rbz 2013-06-27 11:57:49 EDT
Created attachment 766235 [details]
File: proc_pid_status
Comment 10 rbz 2013-06-27 12:42:20 EDT
After restarting shotwell the UI LHS hierarchy now shows three distinct Events "folders" all with the same name "Thu 9 May, 2013". Which seems a bit dubious ...

Of those, two contain a single photo each. The third is reported as having 191 images.

Before I begin to interact with the shotwell UI, It logs several messages like this:
> L 12497 2013-06-27 17:58:16 [WRN] PhotoMonitor.vala:481: File /home/robb/Photos/2013/05/09/DSC_4965_NEF_shotwell.jpg created in LIBRARY_PHOTO_SOURCE_COLLECTION_STATE_DEVELOPER state
> L 12497 2013-06-27 17:58:19 [WRN] Exif tag Exif.NikonPreview.JPEGInterchangeFormatLength not encoded
> L 12497 2013-06-27 17:58:19 [WRN] Exif IFD NikonPreview not encoded
> L 12497 2013-06-27 17:58:19 [WRN] Exif tag Exif.Photo.MakerNote not encoded
> L 12497 2013-06-27 17:58:19 [WRN] Exif tag Exif.NikonSi02xx.0x027a not encoded

Once I begin to use the UI i.e. to scroll in the "9th May" event folder containing many images, I see lots of messages to stdout/stderr e.g.
> ...
> L 12497 2013-06-27 18:13:52 [CRT] Thumbnail.vala:355: Unable to fetch high-quality thumbnail for DataView DSC_5015.NEF [DataSource [21376] /home/robb/Photos/2013/05/09/DSC_5015.NEF] (scale: 205): Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5015_NEF_shotwell.jpg': No such file or directory
> L 12497 2013-06-27 18:13:53 [CRT] PixbufCache.vala:262: Unable to readahead [21376] /home/robb/Photos/2013/05/09/DSC_5015.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5015_NEF_shotwell.jpg': No such file or directory
> L 12497 2013-06-27 18:14:13 [CRT] Thumbnail.vala:340: Unable to fetch low-quality thumbnail for DataView DSC_5005.NEF [DataSource [21368] /home/robb/Photos/2013/05/09/DSC_5005.NEF] (scale: 205): Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5005_NEF_shotwell.jpg': No such file or directory
> ...

Many of those 9th May images are show/rendered correctly, others are show as plain gray rectangles.

When I click on such a gray "non image" it seems to be immediately removed from the UI and 
the following is logged:
> L 12497 2013-06-27 18:26:52 [WRN] Photo.vala:2589: Unable to load metadata: /home/robb/Pictures/2013/05/09/DSC_5008_NEF_shotwell.jpg: Failed to open the data source:  (errno = 2)
> L 12497 2013-06-27 18:26:52 [WRN] PhotoPage.vala:1154: Failed to open file '/home/robb/.cache/shotwell/thumbs/thumbs360/thumb0000000000005379.jpg': No such file or directory
> L 12497 2013-06-27 18:26:52 [WRN] PhotoPage.vala:1252: Failed to open file '/home/robb/.cache/shotwell/thumbs/thumbs360/thumb0000000000005379.jpg': No such file or directory
> L 12497 2013-06-27 18:26:52 [CRT] PixbufCache.vala:262: Unable to readahead [21369] /home/robb/Photos/2013/05/09/DSC_5008.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5008_NEF_shotwell.jpg': No such file or directory
> L 12497 2013-06-27 18:26:52 [CRT] PixbufCache.vala:262: Unable to readahead [21367] /home/robb/Photos/2013/05/09/DSC_5006.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5006_NEF_shotwell.jpg': No such file or directory
> L 12497 2013-06-27 18:26:52 [CRT] PixbufCache.vala:262: Unable to readahead [21370] /home/robb/Photos/2013/05/09/DSC_5007.NEF: Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5007_NEF_shotwell.jpg': No such file or directory
> L 12497 2013-06-27 18:26:52 [CRT] Thumbnail.vala:340: Unable to fetch low-quality thumbnail for DataView DSC_5001.NEF [DataSource [21364] /home/robb/Photos/2013/05/09/DSC_5001.NEF] (scale: 205): Failed to open file '/home/robb/Pictures/2013/05/09/DSC_5001_NEF_shotwell.jpg': No such file or directory

As mentioned, many of those warnings/errors e.g. "Unable to load metadata: /home/robb/Pictures/2013/05/09/DSC_5008_NEF_shotwell.jpg" are for files that do not exist. In fact (IMHO) have never existed. There is no folder "Pictures".

Perhaps somehow entries in the shotwell db have been created using a default path value that does not in fact exist. Some code is now making use of that path/location info.

But can I clean these entries up? Or will shotwell fix these itself? AFAICT the problem affects only pictures taken on one or two specific dates. Maybe that helps?
Comment 11 rbz 2013-06-27 12:44:55 EDT
BTW, Sorry about the length of this ;-)
Comment 12 Fedora End Of Life 2013-12-21 09:10:41 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:59:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.